commit 960b8f945b987603635ec85e0defbab2d84cdc64
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Nov 13 13:22:21 2010 +0100

    Version 0.26.2

 NEWS         |    4 ++++
 configure.in |    2 +-
 2 files changed, 5 insertions(+), 1 deletions(-)

commit c5ff71e924d7b3598e332392c4cc4c19e89a7d6f
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Oct 16 00:02:07 2010 +0200

    Plug refcount leak
    
    The leaked VtePty leaked FDs, too. Bug #632257.

 src/vte.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit c2e51e25c7d321e20348fe1e3c71ea7278197860
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Oct 13 11:43:01 2010 -0400

    Version 0.26.1

 NEWS         |    7 +++++++
 configure.in |    2 +-
 2 files changed, 8 insertions(+), 1 deletions(-)

commit c5d31b87d7a377f5e6fe93fc1efb061f5c7e9db7
Author: Tomeu Vizoso <tomeu.vizoso@collabora.co.uk>
Date:   Thu Oct 7 12:57:45 2010 +0200

    Pass the correct TERM value inside envp when spawning
    
    So the codepaths that end up invoking execve still have the correct
    TERM entry. Clarify the effect of vte_pty_set_term().
    
    https://bugzilla.gnome.org/show_bug.cgi?id=631589

 src/pty.c |   19 ++++++++-----------
 src/vte.c |   32 ++------------------------------
 2 files changed, 10 insertions(+), 41 deletions(-)

commit bfde97095fa039559f447a4903f810357fdd8b3a
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Sep 26 20:35:35 2010 +0200

    Update

 NEWS |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit 49936a8cbaeb62bbb935274dbb9e73c8990361dc
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Sep 26 16:23:27 2010 +0200

    Version 0.26.0

 configure.in |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 4f1df545bf8ac5439d38bd2415b49edefb56eba5
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:   Sat Sep 25 12:34:30 2010 +0300

    Updated Romanian translation

 po/ro.po |   72 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 37 insertions(+), 35 deletions(-)

commit 252ced33f6930fb54704d9aef2011bf530b7adfe
Author: Yuri Myasoedov <ymyasoedov@src.gnome.org>
Date:   Wed Sep 22 09:15:28 2010 +0400

    Updated Russian translation

 po/ru.po |  119 +++++++++++++++++++++++--------------------------------------
 1 files changed, 45 insertions(+), 74 deletions(-)

commit dab50851a395069492218115caf44361b742b20c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Sep 20 22:23:39 2010 -0400

    Revert 9370647823ce29c1088c351381a07a5506b74c84
    
    Was not needed anymore.  For details see:
    
    Bug 621902 - artifacts shown at the button of maximized terminal after
    minimizing another window over it

 src/vte.c |    8 --------
 1 files changed, 0 insertions(+), 8 deletions(-)

commit 43936cabba157cf9704680bcb5c71bb2324aadc2
Author: Daniel S. Koda <danielskoda@gmail.com>
Date:   Mon Sep 20 08:58:25 2010 -0300

    Updated Brazilian Portuguese translation

 po/pt_BR.po |  121 ++++++++++++++---------------------------------------------
 1 files changed, 28 insertions(+), 93 deletions(-)

commit 25c56f2d644340d2216cd4df4ee2c377fc17db85
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:   Sun Sep 19 20:28:01 2010 +0200

    Updated Dutch translation by Wouter Bolsterlee

 po/nl.po |  111 +++++++++++++++++++++++++------------------------------------
 1 files changed, 46 insertions(+), 65 deletions(-)

commit 2ddaf14177f238f5d5f00949e489ad792f3e3698
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:   Sun Sep 19 17:44:43 2010 +0200

    Updated Danish translation

 po/da.po |  111 ++++++++++++++++++++++++++-----------------------------------
 1 files changed, 47 insertions(+), 64 deletions(-)

commit c5b318675ec1fc90464a4eaa356c5ad1ab68c69d
Author: Francesco Marletta <francesco.marletta@tiscali.it>
Date:   Sat Sep 18 17:12:26 2010 +0200

    [l10n] Updated Italian translation

 po/it.po |   52 ++++++++++++++++++++--------------------------------
 1 files changed, 20 insertions(+), 32 deletions(-)

commit e984749f939981d16ee7828ebef352e74ce461e1
Author: Christian Persch <chpe@gnome.org>
Date:   Wed Sep 15 00:47:58 2010 +0200

    Don't force VTE_SEAL_ENABLE on vte/gtk2
    
    Only enforce it on vte 2.90 (gtk3).

 configure.in          |    3 +++
 vte-uninstalled.pc.in |    2 +-
 vte.pc.in             |    2 +-
 3 files changed, 5 insertions(+), 2 deletions(-)

commit 0574bcfbd5c5925458ecdea0e6bbac6d65e30efc
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Sep 13 16:17:31 2010 +0200

    Clarify TERM env var handling with VtePty

 src/pty.c |    5 +++++
 src/vte.c |   32 ++++++++++++++++++++++++++++++--
 2 files changed, 35 insertions(+), 2 deletions(-)

commit a7b74340edad2f1e61dc7b78a7177c52715eb925
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Sep 11 12:29:34 2010 +0200

    Use new gdk keysym names on gtk3

 src/iso2022.c |  200 +++++++++++++++--------------
 src/keymap.c  |  404 +++++++++++++++++++++++++++++----------------------------
 src/vte.c     |  110 ++++++++--------
 3 files changed, 367 insertions(+), 347 deletions(-)

commit 5f52c7ce5f8151aa1718dc0aab6c116ba595f402
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Sep 6 13:08:00 2010 +0200

    Use -Bsymbolic-functions when available
    
    Bug #628870.

 configure.in    |   25 +++++++++++++++++++++++++
 src/Makefile.am |   10 +++++++---
 2 files changed, 32 insertions(+), 3 deletions(-)

commit f04856b1b5ec91431871c4c77a07e4256eb7cc20
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Sep 12 13:36:16 2010 +0200

    Add --cursor-blink to vteapp

 src/vteapp.c |   20 +++++++++++++-------
 1 files changed, 13 insertions(+), 7 deletions(-)

commit 2a325bd050eb3e9d19767687aabb95c390b13b6e
Author: Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>
Date:   Mon Sep 13 20:34:51 2010 +0900

    Updated Japanese translation.

 po/ja.po |  106 +++++++++++++++++++++++++++-----------------------------------
 1 files changed, 46 insertions(+), 60 deletions(-)

commit f1676fbe3e91a6e887abf254723b57e841fad0bb
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Sep 7 19:02:47 2010 +0200

    Updated Polish translation

 po/pl.po |   34 +++++++++++++---------------------
 1 files changed, 13 insertions(+), 21 deletions(-)

commit 606ae4edb1721ea7643b0e2439a6d8fc2b6469a2
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Sep 6 13:05:25 2010 +0200

    Remove unused variable

 src/vte.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 2f58eba8406c699159ed8fc4a88554f88e1012fc
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Sep 6 12:49:56 2010 +0200

    Use correct variables for cleaning the gir data

 src/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit be36d54abdd1ef3b067430c33e155137f8a31eef
Author: Michael Kotsarinis <mk73628@gmail.com>
Date:   Sat Sep 4 19:02:02 2010 +0300

    Updated Greek translation

 po/el.po |  111 ++++++++++++++++++++++++++++----------------------------------
 1 files changed, 50 insertions(+), 61 deletions(-)

commit 8bf969a27069fbc0c71f0bb3fcb176456b5e32ba
Author: drtv <vasudeven@git.gnome.org>
Date:   Fri Sep 3 21:35:19 2010 +0530

    Updated Tamil translation

 po/ta.po |   99 +++++++++++++++++++++++++++-----------------------------------
 1 files changed, 43 insertions(+), 56 deletions(-)

commit 0689c745e07e48e1324c3a3878f42d3ea1c38f59
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Sep 1 09:44:36 2010 +0100

    Update British English translation

 po/en_GB.po |  108 ++++++++++++++++++++++++-----------------------------------
 1 files changed, 44 insertions(+), 64 deletions(-)

commit d831dd8da5bdfa2e8c85932966605e8dd64e8fce
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Tue Aug 31 01:55:44 2010 +0200

    Updated Hungarian translation

 po/hu.po |   99 ++++++++++++++++++++++----------------------------------------
 1 files changed, 35 insertions(+), 64 deletions(-)

commit 203d696ed3772da3b7eb52b12e1f53cc6fdbbebf
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Aug 29 13:56:48 2010 +0200

    Don't dist the gir and typelib
    
    Fixes distchecking with --disable-introspection.

 src/Makefile.am |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 76387964c9ae6630d5bd29be61e3359b7b0ed8c9
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Aug 29 13:51:42 2010 +0200

    Version 0.25.91

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c9fd190d894354fa0d345c8f58524a83bab80524
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Aug 29 13:49:52 2010 +0200

    Use gtk_widget_style_attach
    
    Fix faulty code introduced in commit ac1e78c78e6a39834d35c525be01d50c348d33ba
    from bug #612484.
    
    Bug #627764.

 src/vte.c |    8 +++++---
 1 files changed, 5 insertions(+), 3 deletions(-)

commit 7f964f72bb6cb51c5f8a7265476eb6f581ef1d36
Author: Christian Persch <chpe@gnome.org>
Date:   Fri Aug 20 21:22:41 2010 +0200

    Distcheck with gtk 2 but without introspection

 Makefile.am |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit c737262bf968ee94c22144c3ed7ed4f6fd27e2dd
Author: Bruno Brouard <annoa.b@gmail.com>
Date:   Thu Aug 26 14:43:16 2010 +0200

    Updated French translation

 po/fr.po |   83 +++++++++++++++++++++-----------------------------------------
 1 files changed, 28 insertions(+), 55 deletions(-)

commit 724195be5ba53c45d650366a8e029939c20d43a4
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 24 16:53:17 2010 -0400

    Really fix Bug 601926 - Don't hardcode meta to alt
    
    Correct fix applied this time.  Tested, Alt is not broken by this
    change.

 configure.in |    2 +-
 src/keymap.h |    2 +-
 src/vte.c    |    7 ++++++-
 3 files changed, 8 insertions(+), 3 deletions(-)

commit 7f93f32a18d12e1dbf18a269f7aaec6e706e8cb0
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Mon Aug 23 20:00:04 2010 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po |   57 +++++++++++++++++++++++++--------------------------------
 po/zh_TW.po |   57 +++++++++++++++++++++++++--------------------------------
 2 files changed, 50 insertions(+), 64 deletions(-)

commit 1d6459b92336ffcb5cb2f3187cac6bda5990cc95
Author: Милош Поповић <gpopac@gmail.com>
Date:   Mon Aug 23 01:40:41 2010 +0200

    Updated Serbian translation

 po/sr.po       |  105 ++++++++++++++++++++++++++------------------------------
 po/sr@latin.po |  105 ++++++++++++++++++++++++++------------------------------
 2 files changed, 98 insertions(+), 112 deletions(-)

commit b278c6c8fff7860b81dc2bb89e8b37cd144223b3
Author: Alexander Shopov <ash@contact.bg>
Date:   Sun Aug 22 23:11:21 2010 +0300

    Updated Bulgarian translation

 po/bg.po |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 578fef8c1711bfd5b5e105cb2d6fe6b560bba251
Author: Alexander Shopov <ash@contact.bg>
Date:   Sun Aug 22 22:39:01 2010 +0300

    Updated Bulgarian translation

 po/bg.po |   91 ++++++++++++++++++++-----------------------------------------
 1 files changed, 30 insertions(+), 61 deletions(-)

commit 132d8ca1d6869af4a9e7965a597247dcc37ce234
Author: David Planella <david.planella@gmail.com>
Date:   Sun Aug 22 10:19:21 2010 +0200

    Updated Catalan translation

 po/ca.po |  105 ++++++++++++++++++++++++++-----------------------------------
 1 files changed, 45 insertions(+), 60 deletions(-)

commit 4f40ebe3050eda9d501f9f136059de781fff5bc0
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Sat Aug 21 17:46:05 2010 +0100

    Updated Portuguese translation

 po/pt.po |   98 ++++++++++++++++++++++++++-----------------------------------
 1 files changed, 42 insertions(+), 56 deletions(-)

commit 8995cbbec42fa7a1033a2ec88a93a874a18ac2cc
Author: Saleem Abdulrasool <compnerd@compnerd.org>
Date:   Thu Aug 19 23:11:39 2010 -0700

    fix make check

 src/reflect.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c56c3c4673a310f5d71bc16045a331d362c0bbc5
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Aug 19 12:52:50 2010 -0400

    Revert "Bug 601926 - Don't hardcode meta to alt"
    
    This reverts commit b73782a28894e25ed146271f9d6c6775a6836199.

 src/keymap.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1388c74ff3d025b0b87a9de2a94d6407c40980b0
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 11 16:54:52 2010 -0400

    Indent

 src/vte-private.h |   14 +++++++-------
 1 files changed, 7 insertions(+), 7 deletions(-)

commit 8b8ad8ff56505ba93f5ab6cae29f766eaa2861ff
Author: Kristian Høgsberg <krh@bitplanet.net>
Date:   Thu Aug 19 09:50:33 2010 -0400

    Remove leftover, unused GdkPixmpap variable
    
    This removes the last GdkPixmap reference in vte.

 src/vtebg.c |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit 0cfaef604b1cbda52cbacf992bbba279059cc96a
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Aug 16 21:26:29 2010 +0200

    Distcheck with --with-gtk=3.0

 Makefile.am |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit b48f5ea815337f48a0dafefb68b5858af66ecd6a
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Aug 16 21:23:39 2010 +0200

    One more GSEAL fix

 src/reflect.c |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit 077f698fcd06eae347ee91426a110c4d00ee1a99
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Aug 16 15:09:42 2010 +0200

    Version 0.25.90

 NEWS         |   15 +++++++++++++++
 configure.in |    2 +-
 2 files changed, 16 insertions(+), 1 deletions(-)

commit deaac0d77a1838dc3ecc33ba2993b45dd2a3ee1c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 11 16:15:18 2010 -0400

    Fix signdness warnings

 src/vte.c |   30 ++++++++++++++++--------------
 1 files changed, 16 insertions(+), 14 deletions(-)

commit 9af0c65c082daab19d388f50c2b5d52f8f28a454
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 11 16:10:06 2010 -0400

    Bug 626676 - Cleanup vte_terminal_determine_colors
    
    Or rather, rewrite it.
    
    At least I understand how it's supposed to work now.  Combinations of
    set highlight color, set cursor color, reverse mode, selected text,
    etc work much better now.

 src/vte.c |  190 +++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 103 insertions(+), 87 deletions(-)

commit a0d9e0ff3a580a47f45dc01eb303c164a126c81b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 11 15:21:29 2010 -0400

    Simplify determine_colors more
    
    Get rid of reverse argument.  Also "xor" instead of "or" selection mode
    with reverse mode.  Selection works with reverse mode now.  Before, it
    didn't render.

 src/vte.c |   34 +++++++++++-----------------------
 1 files changed, 11 insertions(+), 23 deletions(-)

commit 956a836ab4f7000a7cf409c05a194e194573c358
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 11 14:30:14 2010 -0400

    Bug 621298 - Cursor invisible (plain black) in (xfce) Terminal & terminator
    
    Fix the case where cursor color is set.
    
    Towards making determine_colors make sense.  Still not done.  More
    commits coming, but this one is enough to fix the main regression.

 src/vte.c |   32 ++++++++++++++++++++++----------
 1 files changed, 22 insertions(+), 10 deletions(-)

commit 3a7fbb285ebf9a50eb3498e21e001b773701f5a6
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 11 14:24:33 2010 -0400

    Revert "Don't hide cursor even if cell is invisible"
    
    This reverts commit 18ee5f522d8bc2f5dfe896f40eba8d5313cb310f.
    
    This didn't make sense.  It was making invisible cells visible when
    under cursor.

 src/vte.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit edde846fa555e0d5e16d54328e47d81096f82893
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 11 13:46:10 2010 -0400

    Minor

 src/vte.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit b2f8852f936a8ef0537a0a83156a24544b1a1cf2
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 11 13:45:40 2010 -0400

    Minor --help adjustment

 src/vteapp.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 9abf75cb36376d00a6dc14d7482599a57cbff023
Author: Christian Persch <chpe@gnome.org>
Date:   Wed Aug 11 18:16:20 2010 +0200

    Vary gettext domain for vte/gtk3
    
    Using the same domain creates parallel-install troubles.

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 48e2356a5a91c8c6d61573c30bcb8740fbec4b8e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 10 15:01:47 2010 -0400

    Ensure vte-gtk-compat.h is included in the tarball

 src/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 01c7eee35d336e674df206220047c19bc38ed20e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 10 15:00:22 2010 -0400

    Ensure decset, osc and window are included in the tarball

 src/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 14aa0032f04aa1771116fe6f73dd46a75c4c11f2
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Aug 10 20:09:29 2010 +0200

    Docs update

 doc/reference/vte-sections.txt |    6 ++++
 src/vte.c                      |   57 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 63 insertions(+), 0 deletions(-)

commit 4feccba86ead67f7e0da018b45f2301a89a3ea75
Author: Nils-Christoph Fiedler <ncfiedler@gnome.org>
Date:   Sun Aug 8 15:53:24 2010 +0200

    Updated LowGerman translation

 po/nds.po |   35 ++++++++++++++++++-----------------
 1 files changed, 18 insertions(+), 17 deletions(-)

commit 18ed68d1ea94e002cef001398b8bb344d639f5d7
Author: A S Alam <aalam@users.sf.net>
Date:   Wed Aug 4 15:10:48 2010 +0530

    update Translation in master for Punjabi by A S Alam

 po/pa.po |   46 ++++++++++++++++++++++++----------------------
 1 files changed, 24 insertions(+), 22 deletions(-)

commit 23655733396cbe49b989901c7a4a0c66bca4a4dc
Author: Dirgita <dirgitadevina@gmail.com>
Date:   Wed Aug 4 11:03:00 2010 +0700

    Updated Indonesian translation

 po/id.po |  152 +++++++++++++++++---------------------------------------------
 1 files changed, 42 insertions(+), 110 deletions(-)

commit 701dfad230c641edd7894f562fb46195a57bcf08
Author: Daniel Nylander <po@danielnylander.se>
Date:   Sun Jul 25 19:05:14 2010 +0200

    Updated Swedish translation

 po/sv.po |  114 ++++++++++++++++++++++++-------------------------------------
 1 files changed, 45 insertions(+), 69 deletions(-)

commit bc8df68917912f333ebdab8135800e4d3632dcd4
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Jul 22 13:05:04 2010 -0400

    Bug 618097 - Broken backtab (cbt)

 src/vteseq.c |    9 ++-------
 1 files changed, 2 insertions(+), 7 deletions(-)

commit 3e8c59f78a8e7557ffccd97d7cd5dea0f7b0aceb
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Jul 22 12:32:40 2010 -0400

    Add compat impl for gtk_accessible_get_widget()

 src/vte-gtk-compat.h |    4 ++++
 src/vteaccess.c      |    1 +
 2 files changed, 5 insertions(+), 0 deletions(-)

commit 07307c1863cd68a85284235b69e6687f9eed36e9
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Wed Jul 21 16:28:11 2010 +0200

    Updated Galician translations

 po/gl.po |   58 ++++++++++++++++++----------------------------------------
 1 files changed, 18 insertions(+), 40 deletions(-)

commit c01a676e1ed44e1aa3e318cea559be4b2f1d49c3
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Fri Jul 16 21:38:54 2010 +0200

    [i18n] Updated German translation

 po/de.po |   99 ++++++++++++++++++++++++++++---------------------------------
 1 files changed, 45 insertions(+), 54 deletions(-)

commit 8b971a7b2c59902914ecbbc3915c45dd21530a91
Author: Kees Cook <kees@ubuntu.com>
Date:   Mon Jul 12 21:31:32 2010 +0200

    Fix terminal title reporting
    
    Fixed CVE-2003-0070 again.
    See also http://marc.info/?l=bugtraq&m=104612710031920&w=2 .
    (cherry picked from commit 6042c75b5a6daa0e499e61c8e07242d890d38ff1)

 src/vteseq.c |   24 ++++++++++++++++--------
 1 files changed, 16 insertions(+), 8 deletions(-)

commit a4445d5bd1106d8683b471a358f7933bacb58105
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Jul 12 21:27:38 2010 +0200

    Tiny configure fix

 configure.in |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit d17e650aa062946ce599f80fe33989cc2c7bb52d
Author: Kristian Høgsberg <krh@bitplanet.net>
Date:   Thu Jul 15 09:57:23 2010 -0400

    Stop using the gdk_draw_* API
    
    Only one gdk_draw_rectangle() call let.

 src/vte.c |   29 ++++++++++++++++-------------
 1 files changed, 16 insertions(+), 13 deletions(-)

commit 6eadb8494797e44910b86b5e101823cf527c04e1
Author: Kristian Høgsberg <krh@bitplanet.net>
Date:   Thu Jul 15 09:07:51 2010 -0400

    Use accessors for setting adjustment
    
    We use g_object_freeze_notify() to emit the same amount of ::changed
    signals.

 src/vte.c |   34 ++++++++++++++++++++--------------
 1 files changed, 20 insertions(+), 14 deletions(-)

commit 31303a1893ba6052a537f285c99db80499a8b797
Author: Kristian Høgsberg <krh@bitplanet.net>
Date:   Thu Jul 15 08:38:42 2010 -0400

    Use get accessors for adjustments

 src/vte.c |   57 +++++++++++++++++++++++++++++++--------------------------
 1 files changed, 31 insertions(+), 26 deletions(-)

commit 887f86c00e99e38f9374eea03b1535cd823851b3
Author: Kristian Høgsberg <krh@bitplanet.net>
Date:   Thu Jul 15 08:24:16 2010 -0400

    Add remaining accessors
    
    All that remains now is the adjustment accessors.

 src/vte.c       |   19 ++++++++-------
 src/vteaccess.c |   64 ++++++++++++++++++++++++++++--------------------------
 src/vteapp.c    |   65 ++++++++++++++++++++++++++++++++----------------------
 src/vtedraw.c   |   11 ++++++---
 src/vteseq.c    |   16 +++++++------
 5 files changed, 97 insertions(+), 78 deletions(-)

commit 0f4d6539fa0280cfa658a27ceaca63c2db0232e4
Author: Kristian Høgsberg <krh@bitplanet.net>
Date:   Wed Jul 14 22:52:53 2010 -0400

    Seal VTE when VTE_SEAL_ENABLE is given, not GSEAL_ENABLE
    
    gtk+ 3.0 defines GSEAL_ENABLE, which seals up VTE for the vte code as well.
    Instead, seal of VTE when VTE_SEAL_ENABLE is defined and set it in
    the .pc file.

 src/vte.h |    2 +-
 vte.pc.in |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 235461a3c4ac1577a3c0891a2d0ca5316e12a568
Author: Kristian Høgsberg <krh@bitplanet.net>
Date:   Wed Jul 14 22:51:18 2010 -0400

    Introduce compat macros for region differences

 src/vte-gtk-compat.h |   27 +++++++++++++++++++++++++++
 src/vte.c            |    6 +++---
 src/vtedraw.h        |    1 +
 3 files changed, 31 insertions(+), 3 deletions(-)

commit ac1e78c78e6a39834d35c525be01d50c348d33ba
Author: Saleem Abdulrasool <compnerd@compnerd.org>
Date:   Wed Jul 14 22:10:00 2010 -0400

    Use accessors for gtk objects
    
    This change introduces vte-gtk-compat.h to allow compatibility with the
    current GTK+ requirement (2.14+) while allowing us to use GSEAL when
    available.  When the GTK+ requirements are moved up to 2.20+, it should
    be possible to entirely remove the header.
    
    Setting of the GTK adjustment fields still occurs without the accessors
    as setting the value and then using value_changed may introduce
    different behaviour and/or double signal emissions.

 src/vte-gtk-compat.h |   45 +++++++++
 src/vte.c            |  253 +++++++++++++++++++++++++++++--------------------
 2 files changed, 195 insertions(+), 103 deletions(-)

commit 396f44dd5ea0a4d9d0567ae9c6618bb3004c4c34
Author: Kristjan Schmidt <kristjan.schmidt@googlemail.com>
Date:   Sun Jul 4 17:33:30 2010 +0200

    Add Esperanto translation

 po/LINGUAS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 3671437e3d2fca4ac4918078700b2d60de43228c
Author: Kristjan Schmidt <kristjan.schmidt@googlemail.com>
Date:   Sun Jul 4 17:33:30 2010 +0200

    Add Esperanto translation

 po/eo.po |  105 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 105 insertions(+), 0 deletions(-)

commit 137e16630cd737dd4690fb54e6431b0bfebcf509
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Jun 30 15:27:30 2010 -0400

    Simplify libtool versioning

 configure.in    |   38 +++++++++++++++++++-------------------
 src/Makefile.am |    2 +-
 2 files changed, 20 insertions(+), 20 deletions(-)

commit 4423625ec82432f7bbc6b8a00b865271d3b123fd
Author: Aron Xu <aronxu@gnome.org>
Date:   Tue Jun 29 21:53:54 2010 +0800

    Update Simplified Chinese translation.

 po/zh_CN.po |  112 ++++++++++++++++++++++++----------------------------------
 1 files changed, 46 insertions(+), 66 deletions(-)

commit 11a21955d145c743631a3eb6dc109e08359bfea5
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Sat Jun 26 22:30:37 2010 +0300

    Updated Arabic translation

 po/ar.po |   46 ++++++++++++++++++++--------------------------
 1 files changed, 20 insertions(+), 26 deletions(-)

commit 9caf8b2249dea81bc03108020b7c033a78cd3f57
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Jun 25 02:02:29 2010 -0300

    Minor comment fix.

 src/vte.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 8b3dbe8e6771356023fe552b178659357f502473
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Jun 17 15:02:54 2010 -0400

    Set widget app_paintable.

 src/vte.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 332e694b5067c7e8e5d2f32ceccbd229243a3ff7
Author: Christian Persch <chpe@gnome.org>
Date:   Fri May 28 21:10:46 2010 +0200

    Make vte dual buildable with gtk2 and gtk3
    
    Gtk3 build is untested.

 Makefile.am               |    8 +++-
 configure.in              |   82 ++++++++++++++++++++++++++++++++++++--------
 doc/reference/Makefile.am |    4 +-
 src/Makefile.am           |   64 ++++++++++++++++++-----------------
 vte-uninstalled.pc.in     |    2 +-
 vte.pc.in                 |    4 +-
 6 files changed, 111 insertions(+), 53 deletions(-)

commit 405ed5bb3151940db0f21ff5b8e96bea94770f96
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Jun 11 22:51:49 2010 -0400

    Clean up background clearing
    
    Fixes bug where lower border of the screen was not properly painted in
    fullscreen mode.

 src/vte.c     |   45 +++++++++------------------------------------
 src/vtedraw.c |   18 +-----------------
 src/vtedraw.h |    3 +--
 3 files changed, 11 insertions(+), 55 deletions(-)

commit b73782a28894e25ed146271f9d6c6775a6836199
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Jun 4 14:36:45 2010 -0400

    Bug 601926 - Don't hardcode meta to alt

 src/keymap.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit b86c068b061090e176b1ff6e82dcccfd0198ed2f
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Jun 3 12:16:30 2010 -0400

    Bug 620493 - strict aliasing warning

 gnome-pty-helper/gnome-pty-helper.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit bff92abe96896ebf3c7e2a60243caf65659d3390
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Sat May 29 13:29:22 2010 +0300

    Updated Hebrew translation.

 po/he.po |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 94d7fb63386d1e8e2653a961af6cbeac06b05c2b
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Sat May 29 13:28:26 2010 +0300

    Updated Hebrew translation.

 po/he.po |  100 ++++++++++++++++++++++++++-----------------------------------
 1 files changed, 43 insertions(+), 57 deletions(-)

commit b1cc8aa1a42e74c2130a6e39c5571779fb842f69
Author: Ivar Smolin <okul@linux.ee>
Date:   Thu May 27 08:35:49 2010 +0300

    Estonian translation updated

 po/et.po |   84 ++++++++++++-------------------------------------------------
 1 files changed, 17 insertions(+), 67 deletions(-)

commit 9370647823ce29c1088c351381a07a5506b74c84
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed May 26 13:09:47 2010 -0400

    Bug 618749 - set terminal widget background color to terminal background

 src/vte.c |   15 ++++++++++++---
 1 files changed, 12 insertions(+), 3 deletions(-)

commit 430dd34fa9532fa492ea512f226e8483d1393716
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed May 26 13:09:25 2010 -0400

    Fix requires_clear setting
    
    Part of Bug 618749 - [PATCH] set terminal widget background color to terminal

 src/vtedraw.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2902ade6f3714e8d42cab0320a5e99345a142bd9
Author: Petr Kovar <pknbe@volny.cz>
Date:   Sun May 23 19:49:10 2010 +0200

    Update Czech translation by Marek Cernocky

 po/cs.po |   43 ++++++++++++++++++-------------------------
 1 files changed, 18 insertions(+), 25 deletions(-)

commit 3bd8a57d124126f360a2352bfdc61e78a7c7982f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri May 14 18:27:32 2010 -0400

    Revert "Disable introspection dist"
    
    This reverts commit a0cec4542963d52b1c1842ea9b450a51262b4c09.

 src/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2d2aabde8ba4ef9dff306cbf15044c68e350ba9d
Author: Thomas Thurman <tthurman@gnome.org>
Date:   Thu May 13 18:06:11 2010 -0400

    Updated Shavian translation

 po/en@shaw.po |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 868d03f9921e49ef8966a9307a0f521f5c9311d7
Author: Thomas Thurman <tthurman@gnome.org>
Date:   Wed May 12 18:41:00 2010 -0400

    Updated Shavian transliteration

 po/en@shaw.po |   47 ++++++++++++++++++++---------------------------
 1 files changed, 20 insertions(+), 27 deletions(-)

commit 5dc9b3ce32070f1a7040b8ed24d9d463ad6a67b0
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue May 11 16:49:10 2010 -0400

    Bug 614658 - text selection with mouse is buggy when using the shift key

 src/vte.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit c84f01d9de7bc2c7a9bfbc6373afbdebbab3d2be
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed May 5 19:16:39 2010 -0400

    Bug 617690 - Setting default fg color should not cancel underline

 src/vteseq.c |    5 +----
 1 files changed, 1 insertions(+), 4 deletions(-)

commit 7af990ed413f19de0b20815b4ceeec13c201790f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon May 3 11:31:46 2010 -0400

    Release 0.25.1

 NEWS         |   17 +++++++++++++++++
 configure.in |    2 +-
 2 files changed, 18 insertions(+), 1 deletions(-)

commit a0cec4542963d52b1c1842ea9b450a51262b4c09
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon May 3 21:08:54 2010 -0400

    Disable introspection dist
    
    Broken as usual...

 src/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 860ed187545355fa9daef60907a3746837cc7b6a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon May 3 11:21:42 2010 -0400

    [configure] Make libtool versioning automatic

 configure.in |   21 +++++++++------------
